Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
wait_data Struct Reference

## Data Fields
rb_pid_t | pid
int | status

## Detailed Description

Definition at line 657 of file process.c.

## Field Documentation

rb_pid_t wait_data::pid

Definition at line 658 of file process.c.

Referenced by detach_process_watcher(), id_pid(), proc_wait(), proc_wait2(), proc_waitall(), rb_waitpid(), and wait_each().

int wait_data::status

Definition at line 659 of file process.c.

Referenced by detach_process_watcher(), proc_exec_sh(), proc_wait(), proc_waitall(), rb_waitpid(), and wait_each().

The documentation for this struct was generated from the following file:

- process.c